Subject: Re: [PATCH 0/6] crypto: Make all AEAD users include aead.h

From: Johannes Berg <[email-masked]>
Date: Wed, 22 Apr 2015 09:18:48 +0200

On Wed, 2015-04-22 at 15:04 +0800, Herbert Xu wrote:
> Hi:
> 
> This series adds inclusions of aead.h to all AEAD users including
> AEAD implementors (where it's internal/aead.h).  This is necessary
> because I'll be adding an updated AEAD interface and that will live
> in aead.h instead of crypto.h.
> 
> Dave, if it's OK with you I'd like to push the last two patches
> through my tree as the new AEAD interface would depend on them.

Looks good to me. Fine with me if you do that for the mac80211 patch,
I'm not expecting to change that file and cause conflicts.

johannes